package effect

import (
	"blazing/logic/service/fight/input"
	"blazing/logic/service/fight/node"
)

/**
 * 连续使用每次威力增加n，最高威力m
 */

func init() {
	input.InitSkillEffect(9, &Effect9{
		EffectNode: node.EffectNode{
			ArgSize: 2,
		},
	})

}

type Effect9 struct {
	node.EffectNode
	skillid       int //记录使用的技能 ，如果技能变了就删除effect
	UseSkillCount int //技能使用了多少次，切换后置0
}
